From fa85fce8534636daaa1f86c182711436945b2626 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:18 +0000
Subject: [PATCH 450/2232] Clarify mentions of C++ vector in error messages


---

diff --git a/syntax/check.rs b/syntax/check.rs
index b61570c..0c75de8 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -361,7 +361,7 @@ fn describe(cx: &mut Check, ty: &Type) -> String {
         Type::UniquePtr(_) => "unique_ptr".to_owned(),
         Type::Ref(_) => "reference".to_owned(),
         Type::Str(_) => "&str".to_owned(),
-        Type::CxxVector(_) => "vector".to_owned(),
+        Type::CxxVector(_) => "C++ vector".to_owned(),
         Type::Slice(_) => "slice".to_owned(),
         Type::SliceRefU8(_) => "&[u8]".to_owned(),
         Type::Fn(_) => "function pointer".to_owned(),

